Bug 989382 - No error message seen while starting "ovirt-engine-notifier" when "MAIL_SERVER" is NOT defined
No error message seen while starting "ovirt-engine-notifier" when "MAIL_SERVE...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-notification-service (Show other bugs)
3.3.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.0
Assigned To: Martin Perina
Petr Beňas
infra
:
Depends On: 989422
Blocks: 957769 1058635
  Show dependency treegraph
 
Reported: 2013-07-29 03:49 EDT by Prasanth
Modified: 2016-02-10 14:38 EST (History)
21 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Known Issue
Doc Text:
If the MAIL_SERVER parameter is not defined, any errors with starting the ovirt-engine-notifier are not reported, hence it is difficult to determine if the service has started successfully. To work around this issue, check the status of the service by using this command: # service ovirt-engine-notifier status
Story Points: ---
Clone Of:
: 998928 1058635 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This bug is documented as a known issue (199.26 KB, application/pdf)
2013-09-06 07:10 EDT, Pavithra
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 22628 None None None Never
oVirt gerrit 22629 None None None Never
oVirt gerrit 22632 None None None Never

  None (edit)
Description Prasanth 2013-07-29 03:49:49 EDT
Description of problem:

No error message seen while starting "ovirt-engine-notifier" when "MAIL_SERVER" is NOT defined

Version-Release number of selected component (if applicable):  Red Hat Storage Console Version: 2.1.0-0.bb6.el6rhs 


How reproducible: Always


Steps to Reproduce:
1. # /etc/init.d/ovirt-engine-notifier start
2 .# /etc/init.d/ovirt-engine-notifier status


Actual results:

[root@rhs-client3 conf]# /etc/init.d/ovirt-engine-notifier start
Starting oVirt Engine Notifier:                            [  OK  ]                                                                                                                           
[root@rhs-client3 conf]# /etc/init.d/ovirt-engine-notifier status
 dead but pid file exists


Expected results:

If the MAIL_SERVER is not defined, we should be getting a meaningful error message something like: "Error: $MAIL_SERVER is not defined, please check for this in configuration file" instead of simply starting the service and showing the status as "dead but pid file exists". In short, the error message should be proper and provide a useful message to the user.
Comment 2 Sahina Bose 2013-07-31 10:12:58 EDT
The issue still exists so moving back to Assigned
Comment 3 Alon Bar-Lev 2013-08-07 02:28:01 EDT
Yair,
What about this one?
Alon
Comment 4 Yair Zaslavsky 2013-08-12 08:45:12 EDT
infra will take ownership of tihs one.
Comment 5 Alon Bar-Lev 2013-08-13 06:12:18 EDT
To summarize:

Any error of service startup should be written to the service log file:

/var/log/ovirt-engine/notifier/notifier.log

The problem in rhel is that for some reason the log file is created but no messages are written into. This works OK on fedora with the same configuration.
Comment 6 Martin Perina 2013-08-13 06:43:41 EDT
Can you see an error in /var/log/ovirt-engine/notifier/notifier.log? In particular there should be something like:

Check configuration file, 'MAIL_SERVER' is missing

If your notifier.log is empty, then it's a problem described in http://bugzilla.redhat.com/989422
Comment 7 Prasanth 2013-08-19 06:29:14 EDT
(In reply to Martin Perina from comment #6)
> Can you see an error in /var/log/ovirt-engine/notifier/notifier.log? In
> particular there should be something like:
> 
> Check configuration file, 'MAIL_SERVER' is missing
> 
> If your notifier.log is empty, then it's a problem described in
> http://bugzilla.redhat.com/989422

Yes, I can see the following in the logs:

-------------
2013-08-19 15:57:19,584 ERROR [org.ovirt.engine.core.notifier.Notifier] Failed to run the event notification service. 
java.lang.IllegalArgumentException: Check configuration file, 'MAIL_SERVER' is missing
        at org.ovirt.engine.core.notifier.Notifier.main(Notifier.java:82)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:606)
        at org.jboss.modules.Module.run(Module.java:270)
        at org.jboss.modules.Main.main(Main.java:411)
-------------
Comment 8 Alon Bar-Lev 2013-08-19 06:53:56 EDT
(In reply to Prasanth from comment #7)
> (In reply to Martin Perina from comment #6)
> > Can you see an error in /var/log/ovirt-engine/notifier/notifier.log? In
> > particular there should be something like:
> > 
> > Check configuration file, 'MAIL_SERVER' is missing
> > 
> > If your notifier.log is empty, then it's a problem described in
> > http://bugzilla.redhat.com/989422
> 
> Yes, I can see the following in the logs:
> 
> -------------
> 2013-08-19 15:57:19,584 ERROR [org.ovirt.engine.core.notifier.Notifier]
> Failed to run the event notification service. 
> java.lang.IllegalArgumentException: Check configuration file, 'MAIL_SERVER'
> is missing

So we are ok. Strange how the jboss change does not effect your environment.
Comment 9 Martin Perina 2013-08-27 08:07:56 EDT
So, your complain is that this error message is not displayed during execution of
"/etc/init.d/ovirt-engine-notifier start"?
Comment 10 Sahina Bose 2013-09-06 06:23:41 EDT
Yes, the complaint is that, if MAIL_SERVER is not configured,
service ovirt-engine-notifier start -> reports ok
service ovirt-engine-notifier status -> says "dead but pif file exists"
Comment 11 Pavithra 2013-09-06 06:35:35 EDT
I have updated the doc text and attached the 2.1 RN as well. Please review the text and sign off.
Comment 12 Pavithra 2013-09-06 07:10:01 EDT
Created attachment 794664 [details]
This bug is documented as a known issue
Comment 13 Andrew Cathrow 2013-09-16 09:30:13 EDT
Not exception material.
Let's see if we can improve the text to tell a user that the service is starting rather than giving a successful return code.

Moving to 3.4
Let's see if we get cycles to improve this in 3.3.z
Comment 14 Martin Perina 2014-01-09 08:35:02 EST
For systemd error is returned during start command, status command shows details.
For initscripts error message is displayed during start command.
Comment 15 Sandro Bonazzola 2014-01-14 03:43:33 EST
ovirt 3.4.0 alpha has been released
Comment 16 Petr Beňas 2014-02-17 11:20:49 EST
Verified in  3.4.0-0.7.beta2.el6.

[root@pb-rh34 ~]# /etc/init.d/ovirt-engine-notifier start
Starting oVirt Engine Notifier: 
Validation result:
stderr: Check configuration file, 'MAIL_SERVER' is missing
Validation failed returncode is 1:
                                                           [FAILED]
[root@pb-rh34 ~]# /etc/init.d/ovirt-engine-notifier status
ovirt-engine-notifier is stopped
Comment 17 Itamar Heim 2014-06-12 10:09:31 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.